### Class

# Ide TextEdit

#### Description

    class Ide.TextEdit : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Constructors

###### ide_text_edit_new

No description available.

###### ide_text_edit_new_from_variant

Creates a new `IdeTextEdit` from the variant.

Available since: 3.32

#### Instance methods

###### ide_text_edit_get_range

Gets the range for the edit.

Available since: 3.32

###### ide_text_edit_get_text

Gets the text for the edit.

Available since: 3.32

###### ide_text_edit_set_range

No description available.

###### ide_text_edit_set_text

No description available.

###### ide_text_edit_to_variant

Creates a `GVariant` to represent a text_edit.

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.TextEdit:range

No description available.

###### Ide.TextEdit:text

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeTextEditClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.